%define githash bfd9f37bd8219f576ddd5a062e2581c108e23a93
%define shorthash %(echo "%githash" | cut -c -7)

Name:           gtkparasite
Version:        0
Release:        %mkrel 0.20131220git%{shorthash}.1
Summary:        A GUI debugging tool for GTK+ applications

Group:          Development/Tools
License:        MIT
URL:            http://chipx86.github.io/gtkparasite/
# http://github.com/chipx86/gtkparasite/tarball/master/%{githash}
Source0:        chipx86-gtkparasite-%{shorthash}.tar.gz

BuildRequires:  gtk3-devel libgtksourceview-3.0-devel
# for gnome-autogen.sh:
BuildRequires:  gnome-common

%description
Parasite is a debugging and development tool that runs inside your GTK+
application's process. It can inspect your application, giving you detailed
information on your UI, such as the hierarchy, X window IDs, widget properties,
and more. You can modify properties on the fly in order to experiment with the
look of your UI.

But you can go further than that. You can actually modify your application
logic while the program is running! Parasite includes an embedded Python shell
that lets you write new code that directly interacts with your application's
UI, regardless of the language the application is written in. Create new
dialogs, attach temporary signal handlers to buttons, test out new logic, and
gather additional debug information.

If you've used Firebug, it's sort of like that, but for GTK+ applications. 

Usage:
$ GTK_MODULES=gtkparasite <appname>

%prep
%setup -qn chipx86-gtkparasite-%{shorthash}
./autogen.sh

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/modules/*a

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/gtk-3.0/modules/libgtkparasite.so



%changelog
* Fri Dec 20 2013 tv <tv> 0-0.20131220gitbfd9f37.1.mga4
+ Revision: 559127
- explain how to use it
- adjust URL

* Fri Dec 20 2013 tv <tv> 0-0.20131220gitbfd9f37.mga4
+ Revision: 559111
- imported package gtkparasite

